Maven repository artifacts and JVM Targets

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Maven repository artifacts and JVM Targets

Brendon Matheson
Hi all,

I've recently started developing software for a Linux PDA which runs a 1.1.x compatible JVM.  To get my code running on it I need to compile it with a -target of 1.1, but when it comes to the 3rd-party dependencies, I'm a bit unsure about what to do.  When my build retrieves JARS from say the ibiblio Maven repository, there's no way for me to specify that I want one targetting Java 1.1.

Has anyone else come across this issue?  How have you dealt with it?  Perhaps Maven's repository architecture needs to add the extra dimension of "JVM target" so we can, for example, the log4j 1.2.9 JAR targetting the 1.1, 1.2, ... 1.5 JVM

Brendon Matheson

Reply | Threaded
Open this post in threaded view
|

Re: Maven repository artifacts and JVM Targets

Brett Porter
JARs should target the lowest JVM they'll run on: eg, if you target
1.1, then the generated bytecode should run on 1.1, 1.2, 1.3, etc
without issues (except for use of any specific classes from the
runtime library).

If log4j doesn't run on 1.1 because of a higher class version, they
need to rebuild for 1.1 (unless they don't support it).

Cheers,
Brett

On 5/15/05, Brendon Matheson <[hidden email]> wrote:
> Hi all,
>
> I've recently started developing software for a Linux PDA which runs a 1.1.x compatible JVM.  To get my code running on it I need to compile it with a -target of 1.1, but when it comes to the 3rd-party dependencies, I'm a bit unsure about what to do.  When my build retrieves JARS from say the ibiblio Maven repository, there's no way for me to specify that I want one targetting Java 1.1.
>
> Has anyone else come across this issue?  How have you dealt with it?  Perhaps Maven's repository architecture needs to add the extra dimension of "JVM target" so we can, for example, the log4j 1.2.9 JAR targetting the 1.1, 1.2, ... 1.5 JVM
>
> Brendon Matheson
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]